petsc-3.7.1 2016-05-15
Report Typos and Errors

# ISGetNonlocalIndices

Retrieve an array of indices from remote processors in this communicator.

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISGetNonlocalIndices(IS is, const PetscInt *indices[])

Collective on IS Many br

### Input Parameter

is -the index set Many br

### Output Parameter

indices -indices with rank 0 indices first, and so on, omitting Many brthe current rank. Total number of indices is the difference Many brtotal and local, obtained with ISGetSize() and ISGetLocalSize(), Many brrespectively. Many br

Many br

Notes: restore the indices using ISRestoreNonlocalIndices(). Many brThe same scalability considerations as those for ISGetTotalIndices Many brapply here. Many br

### See Also

ISGetTotalIndices(), ISRestoreNonlocalIndices(), ISGetSize(), ISGetLocalSize().

Level:intermediate
Location:src/vec/is/is/interface/index.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages